<ion-header>
    <ion-toolbar>
        <ion-title>{{isEditMode ? 'Actualizar' : 'Agregar'}}</ion-title>
        <ion-buttons slot="start" *ngIf="!isEditMode">
            <ion-back-button defaultHref="personas">
            </ion-back-button>
        </ion-buttons>

        <ion-buttons slot="end" *ngIf="isEditMode">
            <ion-button (click)="closeModal()">
                <ion-icon slot="icon-only" name="close"></ion-icon>
            </ion-button>
        </ion-buttons>
    </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
    <form [formGroup]="form">
        <ion-item>
            <ion-label position='floating'>Nombre</ion-label>
            <ion-input formControlName='name'></ion-input>
        </ion-item>
        <ion-item>
            <ion-label position='floating'>Altura</ion-label>
            <ion-input formControlName='price'></ion-input>
        </ion-item>
        <ion-item>
            <ion-label position='floating'>Cargo</ion-label>
            <ion-input formControlName='category'></ion-input>
        </ion-item>
        <ion-item>
            <ion-label position='floating'>Imagen url</ion-label>
            <ion-input formControlName='imageUrt'></ion-input>
        </ion-item>
        <ion-item>
            <ion-label position='floating'>Virtudes</ion-label>
            <ion-textarea formControlName='description'></ion-textarea>
        </ion-item>
        <ion-button expand="block" (click)="submitPersona()" [disabled]="form.invalid">
            {{isEditMode ? 'Actualizar' : 'Guardar'}} datos
        </ion-button>
    </form>
</ion-content>